# Application

The "Application" section allows the management of application resources. You can view all the applications created by a particular team and delete resources if necessary.

## Delete app by ID

<mark style="color:red;">`DELETE`</mark> `{{BASE_URL}}/admin/api/apps/{id}`

Delete a specific application by unique id.

#### Path Parameters

| Name                                 | Type   | Description |
| ------------------------------------ | ------ | ----------- |
| id<mark style="color:red;">\*</mark> | String | App ID      |

#### Headers

| Name                                      | Type   | Description   |
| ----------------------------------------- | ------ | ------------- |
| Api-Key<mark style="color:red;">\*</mark> | String | Admin api key |

{% tabs %}
{% tab title="200: OK " %}

```json
{"message":"App deleted","appId":"6548d4f261cabb0308b984ee"}
```

{% endtab %}
{% endtabs %}

## Get apps

<mark style="color:blue;">`GET`</mark> `{{BASE_URL}}/admin/api/teams/{id}/apps`

Get all applications for a specific team.

#### Query Parameters

| Name                                    | Type   | Description |
| --------------------------------------- | ------ | ----------- |
| page<mark style="color:red;">\*</mark>  | String | 1           |
| limit<mark style="color:red;">\*</mark> | String | 10          |

#### Headers

| Name                                      | Type   | Description   |
| ----------------------------------------- | ------ | ------------- |
| Api-Key<mark style="color:red;">\*</mark> | String | Admin api key |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "docs": [
        {
            "_id": "6549e7690a5652081f72e3ae",
            "region": {
                "datacenter": {
                    "name": "berlin",
                    "displayName": "Berlin"
                },
                "physicalLocation": "Germany"
            },
            "image": {
                "version": {
                    "name": "nextcloud_latest",
                    "displayName": "latest"
                },
                "distribution": "Nextcloud"
            },
            "status": 3,
            "urlAddress": "b9b83884-db82-4c9f-82fe-37c71b4803d4.m4rgdmtr.1d.pt",
            "attestationId": "144d0119-d285-4f17-93f4-7a231a9820a5",
            "team": {
                "_id": "6548a41f38406c14db33b61e",
                "name": "My Team",
                "email": "john.doe@mail.com",
                "members": [
                    {
                        "user": "6548a41138406c14db33b606",
                        "role": 0
                    }
                ],
                "createdAt": "2023-11-06T08:30:23.529Z",
                "updatedAt": "2023-11-06T12:56:06.337Z",
                "billingSettings": "6548e2660919dc0442dc2ec7"
            },
            "project": {
                "_id": "6548a41f38406c14db33b62c",
                "name": "first-project",
                "description": "Update your project information under Settings",
                "environment": "Development",
                "purpose": "Just trying out Enclaive",
                "isDefault": false,
                "icon": 1,
                "owner": "6548a41138406c14db33b606",
                "team": "6548a41f38406c14db33b61e",
                "createdAt": "2023-11-06T08:30:23.552Z",
                "updatedAt": "2023-11-07T08:52:28.154Z"
            },
            "name": "kraud-cloud-nextcloud-berlin-01",
            "provider": {
                "_id": "6548a383e2442d14b6bf968d",
                "type": "app",
                "isDisabled": false,
                "cloudProvider": {
                    "_id": "6548a383e2442d14b6bf9685",
                    "name": "Kraud.Cloud",
                    "isDisabled": false
                }
            },
            "size": {
                "_id": "6548a383e2442d14b6bf973e",
                "provider": "6548a383e2442d14b6bf968d",
                "location": "berlin",
                "name": "Standart_berlin_1_1_500",
                "vCPUs": 1,
                "memoryGB": 1,
                "spaceGB": 500,
                "group": 0
            },
            "price": {
                "_id": "6548a383e2442d14b6bf96fc",
                "provider": "6548a383e2442d14b6bf968d",
                "locationName": "berlin",
                "sizeName": "Standart_berlin_1_1_500",
                "imageName": "Nextcloud",
                "pricePerHour": 0.0694,
                "pricePerMonth": 50,
                "currencyCode": "EUR",
                "createdAt": "2023-11-06T08:27:47.132Z",
                "updatedAt": "2023-11-06T08:27:47.132Z"
            },
            "owner": {
                "_id": "6548a41138406c14db33b606",
                "name": "John Doe",
                "email": "john.doe@mail.com"
            },
            "createdAt": "2023-11-07T07:29:45.916Z",
            "updatedAt": "2023-11-07T07:30:43.792Z",
            "deletedAt": "2023-11-07T07:30:43.792Z",
            "id": "6549e7690a5652081f72e3ae"
        }
    ],
    "totalDocs": 1,
    "limit": 10,
    "totalPages": 1,
    "page": 1,
    "pagingCounter": 1,
    "hasPrevPage": false,
    "hasNextPage": false,
    "prevPage": null,
    "nextPage": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enclaive.cloud/enclaive-multi-cloud-platform/developers/api/admin-admin-api/accounts/team/application.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
